## mkpxeinitrd-net 2.3.7

=== debian/changelog ===
mkpxeinitrd-net (2.3.7-drbl1) unstable; urgency=low

  * Suppress the error messages when starting systemd-udevd in
    linuxrc-or-init. Some kernel modules are intended to be not
    included in initramfs.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Jun 2015 11:14:30 +0800

## mkpxeinitrd-net 2.3.8

=== debian/changelog ===
mkpxeinitrd-net (2.3.8-drbl1) unstable; urgency=low

  * Minor updates for some comments and prompts.
  * The dependence for module-init-tools is now replaced by kmod.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Dec 2015 21:31:57 +0800

=== debian/control ===
Source: mkpxeinitrd-net
Section: admin
Priority: extra
Maintainer: Steven Shiau <steven@stevenshiau.org>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 9), wget
Standards-Version: 3.9.3
Homepage: http://drbl.org/

Package: mkpxeinitrd-net
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, kmod, procps, drbl (>= 2.15.14)
Description: Build initial ramdisk images for DRBL clients
 mkpxeinitrd-net is a derived program from mkinitrd-net.
 mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable
 for use with PXE and Etherboot (Using PXE compatible mode) network-booting
 software.  This package contains one main utility: mkpxeinitrd-net
 (to build an initrd containing a specified set of network-card modules).
 mkpxeinitrd-net uses code from busybox project, too.

## mkpxeinitrd-net 2.3.9

=== debian/changelog ===
mkpxeinitrd-net (2.3.9-drbl1) unstable; urgency=low

  * Sync the version number with RPM.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Jan 2016 21:11:28 +0800

## mkpxeinitrd-net 2.3.10

=== debian/changelog ===
mkpxeinitrd-net (2.3.10-drbl1) unstable; urgency=medium

  * Always include udev in initrd.
  * New upstream busybox 1.24.2.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 14 May 2016 10:37:55 +0800

## mkpxeinitrd-net 2.3.11

=== debian/changelog ===
mkpxeinitrd-net (2.3.11-drbl1) unstable; urgency=medium

  * Use xz format for drbl tarball for Debian.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 06 Jun 2016 12:07:50 +0800

## mkpxeinitrd-net 2.4.1

=== debian/changelog ===
mkpxeinitrd-net (2.4.1-drbl1) unstable; urgency=medium

  * New upstream busybox 1.26.2.
  * Add a mechanism to assign NFS root server IP address.
    Priority for NFSroot server:
    (1) If ipappend of syslinux is assigned, we use the bootp next server
        shown in /proc/cmdline first.
    (2) If grub mechanism is assigned (TOTO), we use that
    (3) Use the one "nfsroot_srv_ip" assigned in /etc/linuxrc.conf
    (4) Use the bootp next server, i.e., "siaddr" from environmental variable
    (5) Use the DHCP server "serverid" 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Jan 2017 15:28:11 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mkpxeinitrd-net
 Architecture: i386 amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, kmod, procps, drbl (>= 2.15.14)
+Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, kmod, procps, drbl (>= 2.18.10)
 Description: Build initial ramdisk images for DRBL clients
  mkpxeinitrd-net is a derived program from mkinitrd-net.
  mkpxeinitrd-net allows you to build initial ramdisk images (initrds) suitable

## mkpxeinitrd-net 2.5.8

=== initrd/Makefile ===
BUSYBOX_VERSION = 1.36.0
BUSYBOX = busybox-$(BUSYBOX_VERSION)
$(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2
SHELL := /bin/bash
MP_OPT = -j 6

all : utils initrd-skel

%.tar.bz2 :
	[ -d $* ] || wget $($*_SOURCE)
	[ -f $*.t*gz ] && ( gunzip $*.t*gz ; bzip2 -9 $*.tar ) || true

%.tar.gz :
	[ -d $* ] || wget $($*_SOURCE)

UTILS = busybox

utils : $(UTILS)

clean : partlyclean

partlyclean :
	rm -rf $(BUSYBOX)
	rm -rf initrd-skel
	rm -f *.img
	rm -f $(UTILS)

.PHONY : all utils clean partlyclean

busybox : $(BUSYBOX)
	install -m 755 -s $(BUSYBOX)/$@ $@

$(BUSYBOX) : $(BUSYBOX).tar.bz2
	[ -d $@ ] || tar xvjf $<
	install -m 644 config.busybox/$(BUSYBOX).config $(BUSYBOX)/.config
	$(MAKE) $(MP_OPT) -C $(BUSYBOX)
	install -m 644 $(BUSYBOX)/AUTHORS AUTHORS.busybox
	install -m 644 $(BUSYBOX)/LICENSE LICENSE.busybox

initrd-skel : $(UTILS) linuxrc-or-init udhcpc-post
	rm -rf $@
	mkdir -p $@
	mkdir -p $@/etc
	mkdir -p $@/bin
	ln -s bin $@/sbin
	install -m 755 busybox scan_pci ls_pciid.sh get-nic-devs insert-modules $@/bin/
	install -m 644 pcitable pci.ids linuxrc.conf netdev.conf modules $@/etc/
	ln -s busybox $@/bin/sh
	ln -s busybox $@/bin/echo
	ln -s busybox $@/bin/mknod
	ln -s busybox $@/bin/chmod
	ln -s busybox $@/bin/ifconfig
	ln -s busybox $@/bin/route
	#ln -s busybox $@/bin/mount
	ln -s busybox $@/bin/pivot_root
	#ln -s busybox $@/bin/umount
	ln -s busybox $@/bin/[
	ln -s busybox $@/bin/grep
	ln -s busybox $@/bin/sed
	ln -s busybox $@/bin/cat
	ln -s busybox $@/bin/cut
	ln -s busybox $@/bin/sort
	ln -s busybox $@/bin/head
	ln -s busybox $@/bin/uniq
	#ln -s busybox $@/bin/insmod
	#ln -s busybox $@/bin/modprobe
	#ln -s busybox $@/bin/rmmod
	#ln -s busybox $@/bin/lsmod
	ln -s busybox $@/bin/ping
	ln -s busybox $@/bin/df
	ln -s busybox $@/bin/id
	ln -s busybox $@/bin/more
	ln -s busybox $@/bin/ln
	ln -s busybox $@/bin/ls
	ln -s busybox $@/bin/gunzip
	ln -s busybox $@/bin/uname
	ln -s busybox $@/bin/tr
	ln -s busybox $@/bin/mkdir
	ln -s busybox $@/bin/rm
	# busybox 1.0 has udhcpc
	ln -s busybox $@/bin/udhcpc
	ln -s busybox $@/bin/switch_root
	ln -s busybox $@/bin/mountpoint
	ln -s busybox $@/bin/wc
	ln -s busybox $@/bin/ps
	ln -s busybox $@/bin/xargs

	install -m 755 linuxrc-or-init $@/linuxrc-or-init
	install -m 755 udhcpc-post $@/bin/udhcpc-post
	cd $@/etc; ln -s ../dev/resolv.conf resolv.conf

tftpboot/initrd-%.img : initrd-skel
	./mkpxeinitrd-net -l `echo $* | tr . " "`

prefix = $(DESTDIR)/usr
sysconfdir = /etc
bindir = $(prefix)/bin
libdir = $(prefix)/lib
mandir = $(prefix)/share/man
docdir = $(prefix)/share/doc
initrdskeldir = $(libdir)/mkpxeinitrd-net/initrd-skel
hooksdir = $(libdir)/mkpxeinitrd-net/hooks

install :
	mkdir -p $(bindir)
	mkdir -p $(docdir)
	mkdir -p $(sysconfdir)
	mkdir -p $(initrdskeldir)
	mkdir -p $(hooksdir)
	mkdir -p $(libdir)/mkpxeinitrd-net/bin/
	install -m 755 \
	        mkpxeinitrd-net $(bindir)/
	install -m 755 \
	        mkpxeinitrd-net-func parse-net-mod parse-nfs-mod $(libdir)/mkpxeinitrd-net/bin/
	cp -a initrd-skel/* $(initrdskeldir)/
	cp -a hooks/* $(hooksdir)/

=== debian/changelog ===
mkpxeinitrd-net (2.5.8-drbl1) unstable; urgency=medium

  * Use "sleep 1" instead of "sleep 0.1" which won't work for busybox,
    although we have included a sleep supporting it.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 27 Jul 2023 10:33:52 +0800

mkpxeinitrd-net (2.5.7-drbl1) unstable; urgency=medium

  * New upstream busybox 1.36.0.
  * Use "chroot root:root" instead of "chroot root.root" in
    initrd/mkpxeinitrd-net.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 23 Jul 2023 16:44:23 +0800

mkpxeinitrd-net (2.5.6-drbl1) unstable; urgency=medium

  * Bug fixed: support /lib is linked to /usr/lib/.
    Thanks to Dr. Yu for reporting this.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 26 Dec 2022 22:13:20 +0800

mkpxeinitrd-net (2.5.5-drbl1) unstable; urgency=medium

  * Bug fixed: support Linux kernel 6.0.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Nov 2022 16:29:24 +0800

mkpxeinitrd-net (2.5.4-drbl1) unstable; urgency=medium

  * mkpxeinitrd-net: accept Linux kernel v6.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 26 Nov 2022 15:59:21 +0800

mkpxeinitrd-net (2.5.3-drbl1) unstable; urgency=medium

  * Remove the warning color about is CRAMFS or ext2 file system.
  * New upstream busybox 1.35.0.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 21 May 2022 10:07:11 +0800

mkpxeinitrd-net (2.5.2-drbl1) unstable; urgency=medium

  * Bug fixed: Allow mkpxeinitrd-net works for Linux kernel 5,
    need to fix one more part.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 07 May 2019 15:05:55 +0800

mkpxeinitrd-net (2.5.1-drbl1) unstable; urgency=medium

  * Allow mkpxeinitrd-net works for Linux kernel 5.
  * New upstream busybox 1.30.1.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 07 May 2019 14:47:53 +0800

mkpxeinitrd-net (2.4.3-drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream busybox 1.28.4.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 10 Jun 2018 10:04:21 +0800

mkpxeinitrd-net (2.4.2-drbl1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream busybox 1.27.2.
  * Disable the support for Linux kernel 2.2/2.4 module utility.
    It does not support ARM64.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 20 Nov 2017 15:29:12 +0800

## mkpxeinitrd-net 2.5.9

=== initrd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-BUSYBOX_VERSION = 1.36.0
+BUSYBOX_VERSION = 1.36.1
 BUSYBOX = busybox-$(BUSYBOX_VERSION)
 $(BUSYBOX)_SOURCE = http://www.busybox.net/downloads/$(BUSYBOX).tar.bz2
 SHELL := /bin/bash

=== debian/changelog ===
mkpxeinitrd-net (2.5.9-drbl1) unstable; urgency=medium

  * Linux kernel modules might be in zstd format. Hence parse-net-mod &
    parse-nfs-mod have to be improved to accept that format.
  * Newer Busybox 1.36.1 was used. Disable the support
    of mounting NFS file systems on Linux < 2.6.23
    (CONFIG_FEATURE_MOUNT_NFS).

 -- Steven Shiau <steven@clonezilla.org>  Sat, 14 Sep 2024 12:33:29 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: http://drbl.org/
 
 Package: mkpxeinitrd-net
-Architecture: i386 amd64
+Architecture: i386 amd64 arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}, coreutils, pciutils, kmod, procps, drbl (>= 2.18.10)
 Description: Build initial ramdisk images for DRBL clients
  mkpxeinitrd-net is a derived program from mkinitrd-net.

=== debian/watch ===
version=3

http://free.nchc.org.tw/drbl-core/src/stable/mkpxeinitrd-net-(.*)\.tar\.xz

## mkpxeinitrd-net 2.6.1

=== debian/changelog ===
mkpxeinitrd-net (2.6.1-drbl3) unstable; urgency=medium

  * Fixed links in Makefile. 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 15 Sep 2025 21:18:59 +0800

mkpxeinitrd-net (2.6.1-drbl2) unstable; urgency=medium

  * Fixed the path in Makefile. 

 -- Steven Shiau <steven@clonezilla.org>  Mon, 15 Sep 2025 20:54:18 +0800

mkpxeinitrd-net (2.6.1-drbl1) unstable; urgency=medium

  * Switched to use /usr/{sbin,bin,lib,lib64} mainly instead of
    {sbin,bin,lib,lib64}.
    This will make it work better in Debian 13.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 14 Sep 2025 20:22:49 +0800

## mkpxeinitrd-net 2.6.2

=== initrd/Makefile ===
--- 
+++ 
@@ -41,52 +41,58 @@
 	rm -rf $@
 	mkdir -p $@
 	mkdir -p $@/etc
-	mkdir -p $@/bin
-	ln -s bin $@/sbin
-	install -m 755 busybox scan_pci ls_pciid.sh get-nic-devs insert-modules $@/bin/
+	mkdir -p $@/usr/bin
+	mkdir -p $@/usr/lib
+	mkdir -p $@/usr/lib64
+	ln -s -t $@ usr/bin
+	ln -s -t $@ usr/sbin
+	ln -s -t $@ usr/lib
+	ln -s -t $@ usr/lib64
+	(cd $@/usr/; ln -s bin sbin)
+	install -m 755 busybox scan_pci ls_pciid.sh get-nic-devs insert-modules $@/usr/bin/
 	install -m 644 pcitable pci.ids linuxrc.conf netdev.conf modules $@/etc/
-	ln -s busybox $@/bin/sh
-	ln -s busybox $@/bin/echo
-	ln -s busybox $@/bin/mknod
-	ln -s busybox $@/bin/chmod
-	ln -s busybox $@/bin/ifconfig
-	ln -s busybox $@/bin/route
-	#ln -s busybox $@/bin/mount
-	ln -s busybox $@/bin/pivot_root
-	#ln -s busybox $@/bin/umount
-	ln -s busybox $@/bin/[
-	ln -s busybox $@/bin/grep
-	ln -s busybox $@/bin/sed
-	ln -s busybox $@/bin/cat
-	ln -s busybox $@/bin/cut
-	ln -s busybox $@/bin/sort
-	ln -s busybox $@/bin/head
-	ln -s busybox $@/bin/uniq
-	#ln -s busybox $@/bin/insmod
-	#ln -s busybox $@/bin/modprobe
-	#ln -s busybox $@/bin/rmmod
-	#ln -s busybox $@/bin/lsmod
-	ln -s busybox $@/bin/ping
-	ln -s busybox $@/bin/df
-	ln -s busybox $@/bin/id
-	ln -s busybox $@/bin/more
-	ln -s busybox $@/bin/ln
-	ln -s busybox $@/bin/ls
-	ln -s busybox $@/bin/gunzip
-	ln -s busybox $@/bin/uname
-	ln -s busybox $@/bin/tr
-	ln -s busybox $@/bin/mkdir
-	ln -s busybox $@/bin/rm
+	ln -s busybox $@/usr/bin/sh
+	ln -s busybox $@/usr/bin/echo
+	ln -s busybox $@/usr/bin/mknod
+	ln -s busybox $@/usr/bin/chmod
+	ln -s busybox $@/usr/bin/ifconfig
+	ln -s busybox $@/usr/bin/route
+	#ln -s busybox $@/usr/bin/mount
+	ln -s busybox $@/usr/bin/pivot_root
+	#ln -s busybox $@/usr/bin/umount
+	ln -s busybox $@/usr/bin/[
+	ln -s busybox $@/usr/bin/grep
+	ln -s busybox $@/usr/bin/sed
+	ln -s busybox $@/usr/bin/cat
+	ln -s busybox $@/usr/bin/cut
+	ln -s busybox $@/usr/bin/sort
+	ln -s busybox $@/usr/bin/head
+	ln -s busybox $@/usr/bin/uniq
+	#ln -s busybox $@/usr/bin/insmod
+	#ln -s busybox $@/usr/bin/modprobe
+	#ln -s busybox $@/usr/bin/rmmod
+	#ln -s busybox $@/usr/bin/lsmod
+	ln -s busybox $@/usr/bin/ping
+	ln -s busybox $@/usr/bin/df
+	ln -s busybox $@/usr/bin/id
+	ln -s busybox $@/usr/bin/more
+	ln -s busybox $@/usr/bin/ln
+	ln -s busybox $@/usr/bin/ls
+	ln -s busybox $@/usr/bin/gunzip
+	ln -s busybox $@/usr/bin/uname
+	ln -s busybox $@/usr/bin/tr
+	ln -s busybox $@/usr/bin/mkdir
+	ln -s busybox $@/usr/bin/rm
 	# busybox 1.0 has udhcpc
-	ln -s busybox $@/bin/udhcpc
-	ln -s busybox $@/bin/switch_root
-	ln -s busybox $@/bin/mountpoint
-	ln -s busybox $@/bin/wc
-	ln -s busybox $@/bin/ps
-	ln -s busybox $@/bin/xargs
+	ln -s busybox $@/usr/bin/udhcpc
+	ln -s busybox $@/usr/bin/switch_root
+	ln -s busybox $@/usr/bin/mountpoint
+	ln -s busybox $@/usr/bin/wc
+	ln -s busybox $@/usr/bin/ps
+	ln -s busybox $@/usr/bin/xargs
 
 	install -m 755 linuxrc-or-init $@/linuxrc-or-init
-	install -m 755 udhcpc-post $@/bin/udhcpc-post
+	install -m 755 udhcpc-post $@/usr/bin/udhcpc-post
 	cd $@/etc; ln -s ../dev/resolv.conf resolv.conf
 
 tftpboot/initrd-%.img : initrd-skel

=== debian/changelog ===
mkpxeinitrd-net (2.6.2-drbl1) unstable; urgency=medium

  * Updated functions, use name copy_exec instead of copy_exec_not_link.
    Removed useless hook files: nfsv4-client, usplash
  * Updated Makefile for linking dirs.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 17 Sep 2025 18:35:33 +0800
